# Get a list of coupons
# Instructions for Interface Calls
http请求方式:POST
https://api.weixin.qq.com/shop/coupon/get_list?access_token=xxxxxxxxx
# Example of request parameters
{
"page_size": 3,
"offset": 2
}
# Examples of back-up
{
"errcode": 0,
"total_num": 10,
"result_list": [
{
"coupon": {
"out_coupon_id": "out_coupon_id_3",
"type": 101,
"promote_type": 4,
"coupon_info": {
"name": "测试3",
"promote_info": {
"promote_type": 4,
"finder": {}
},
"receive_info": {
"total_num": 100
},
"ext_info": {
"valid_time": 1625226181
}
},
"status": 0,
"create_time": 1625218450,
"update_time": 1625238573,
"appid": "wx9e20708660a0991b"
},
"coupon_stock": {
"out_coupon_id": "out_coupon_id_3",
"stock_info": {
"issued_num": 99,
"receive_num": 1
},
"create_time": 1625226181,
"update_time": 1625237877,
"appid": "wx9e20708660a0991b"
}
},
{
"coupon": {
"out_coupon_id": "out_coupon_id_4",
"type": 101,
"promote_type": 4,
"coupon_info": {
"name": "测试4",
"promote_info": {
"promote_type": 4,
"finder": {}
},
"receive_info": {
"total_num": 1000
}
},
"status": 1,
"create_time": 1625239595,
"update_time": 1625239595,
"appid": "wx9e20708660a0991b"
}
},
{
"coupon": {
"out_coupon_id": "coupon_id_1",
"type": 101,
"promote_type": 4,
"coupon_info": {
"name": "示例优惠券",
"promote_info": {
"promote_type": 4,
"finder": {
"nickname": "视频号昵称"
}
},
"discount_info": {
"discount_condition": {
"product_cnt": 2,
"product_price": 5000,
"out_product_ids": ["product_id_3", "product_id_4"],
"tradein_info": {
"out_product_id": "product_id_5",
"price": 10000
},
"buyget_info": {
"buy_out_product_id": "product_id_1",
"buy_product_cnt": 3,
"get_out_product_id": "product_id_2",
"get_product_cnt": 2131241242
}
},
"discount_num": 9800,
"discount_fee": 6400
},
"receive_info": {
"start_time": 1625451250,
"end_time": 1625454250,
"limit_num_one_person": 10,
"total_num": 100
},
"valid_info": {
"valid_type": 1,
"valid_day_num": 10,
"valid_second": 3600,
"start_time": 1625451250,
"end_time": 1625464250
},
"ext_info": {
"valid_time": 1625473652
}
},
"status": 2,
"create_time": 1625454641,
"update_time": 1625473652,
"appid": "wx9e20708660a0991b"
},
"coupon_stock": {
"out_coupon_id": "coupon_id_1",
"stock_info": {
"issued_num": 99,
"receive_num": 1
},
"create_time": 1625473652,
"update_time": 1625474308,
"appid": "wx9e20708660a0991b"
}
}]
}
# Dxplaination of request parameters
参数 |type|Is it compulsory?|Introductions --- | --- | --- page_size |number|yes|Page size, maximum 200 offset |number|no|The amount of variation, starting with 0
# Dxplaination of callback parameters
| 参数 | type | Introductions |
|---|---|---|
| total_num | number | total |
| coupon.out_coupon_id | string | Merchant Side Coupon ID |
| coupon.type | number | Types of coupons |
| coupon.promote_type | number | Types of Coupon Promotion |
| coupon.coupon_info.name | string | The name of the coupon |
| coupon.coupon_info.promote_info.promote_type | number | Types of Coupon Promotion |
| coupon.coupon_info.promote_info.finder.nickname | string | Promote your WeChat Channels nickname. |
| coupon.coupon_info.discount_info.discount_condition.product_cnt | number | Number of goods |
| coupon.coupon_info.discount_info.discount_condition.product_price | number | Amount of goods |
| coupon.coupon_info.discount_info.discount_condition.out_product_ids | string array | Designated Product Merchant Side ID |
| coupon.coupon_info.discount_info.discount_condition.tradein_info.out_product_id | string | Exchange Goods Merchant Side ID |
| coupon.coupon_info.discount_info.discount_condition.tradein_info.price | number | The amount to be paid in units |
| coupon.coupon_info.discount_info.discount_condition.buyget_info.buy_out_product_id | string | Buy Merchandise Merchant Side ID |
| coupon.coupon_info.discount_info.discount_condition.buyget_info.buy_product_cnt | number | Number of items purchased |
| coupon.coupon_info.discount_info.discount_condition.buyget_info.get_out_product_id | string | Gift merchandise merchant side ID |
| coupon.coupon_info.discount_info.discount_condition.buyget_info.get_product_cnt | number | Number of items given away |
| coupon.coupon_info.discount_info.discount_num | number | The number of discounts, such as a 5.1 discount, is 5,100 |
| coupon.coupon_info.discount_info.discount_fee | number | The amount reduced is in units |
| coupon.coupon_info.receive_info.start_time | number | Get Start Time (second time stamp) |
| coupon.coupon_info.receive_info.end_time | number | Receipt Closing Time (second time stamp) |
| coupon.coupon_info.receive_info.limit_num_one_person | number | Leading Numbers |
| coupon.coupon_info.receive_info.total_num | number | Total issuance |
| coupon.coupon_info.valid_info.valid_type | number | Type of period of validity, 1: item specified time range, 2: number of days in effect, 3: number of seconds in effect |
| coupon.coupon_info.valid_info.valid_day_num | number | Number of days in effect |
| coupon.coupon_info.valid_info.valid_second | number | Number of Effective Seconds |
| coupon.coupon_info.valid_info.start_time | number | Start of entry into force |
| coupon.coupon_info.valid_info.end_time | number | Effective ending time (second timestamp) |
| coupon.status | number | Coupon Status (second time stamp) |
| coupon.create_time | number | Creation time (second timestamp) |
| coupon.update_time | number | Updated time (second timestamp) |
| coupon.coupon_stock.out_coupon_id | string | Merchant Side Coupon ID |
| coupon.coupon_stock.stock_info.issued_num | number | Coupon inventory surplus |
| coupon.coupon_stock.stock_info.receive_num | number | Number of vouchers issued |
| coupon.coupon_stock.create_time | number | Creation time (second timestamp) |
| coupon.coupon_stock.update_time | number | Updated time (second timestamp) |